org.apache.ignite.igfs

## Class IgfsInvalidPathException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.igfs.IgfsException
          - - org.apache.ignite.igfs.IgfsInvalidPathException

All Implemented Interfaces:
  Serializable

    public class IgfsInvalidPathException
    extends IgfsException

`IGFS` exception indicating that operation target is invalid (e.g. not a file while expecting to be a file).

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsInvalidPathException(String msg)` Constructor.
`IgfsInvalidPathException(String msg, Throwable cause)` Constructor.
`IgfsInvalidPathException(Throwable cause)` Constructor.

### Method Summary

### Methods inherited from class org.apache.ignite.IgniteException

`getCause, hasCause, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsInvalidPathException

    public IgfsInvalidPathException(String msg)

Constructor.

Parameters:
  `msg` - Message.

#### IgfsInvalidPathException

    public IgfsInvalidPathException(Throwable cause)

Constructor.

Parameters:
  `cause` - Cause.

#### IgfsInvalidPathException

    public IgfsInvalidPathException(@Nullable
                            String msg,
                            @Nullable
                            Throwable cause)

Constructor.

Parameters:
  `msg` - Message.
  `cause` - Cause.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017